nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
nx::sdk::cloud_storage::AnalyticsFilter Struct Reference

`#include <data.h>`

## Public Types
enum | Option { none = 0x0, ignoreTextFilter = 0x1, ignoreBoundingBox = 0x2, ignoreTimePeriod = 0x4 }

## Public Member Functions
| AnalyticsFilter (const char *jsonData) noexcept(false)
| AnalyticsFilter (const nx::kit::Json &json) noexcept(false)
template<typename T >
| AnalyticsFilter (const T &)=delete
bool | operator== (const AnalyticsFilter &) const
nx::kit::Json | to_json () const

## Static Public Member Functions
static ValueOrError< AnalyticsFilter > | fromJson (const char *jsonStr) noexcept
static ValueOrError< AnalyticsFilter > | fromJson (const nx::kit::Json &json) noexcept
static std::string | optionsToString (int options)
static int | optionsFromString (const std::string &s)

## Public Attributes
std::vector< std::string > | deviceIds
std::vector< std::string > | objectTypeIds
std::optional< std::string > | objectTrackId
TimePeriod | timePeriod
std::optional< Rect > | boundingBox
std::optional< int > | maxObjectTracksToSelect
std::vector< AttributeSearchCondition > | attributeSearchConditions
SortOrder | order = SortOrder::descending
std::optional< std::string > | analyticsEngineId
int | options = Option::none
std::chrono::milliseconds | detailLevel {}

## Detailed Description

Filter used to search for Object Tracks.

## Member Data Documentation

## ◆ boundingBox

std::optional<Rect> nx::sdk::cloud_storage::AnalyticsFilter::boundingBox

Bounding box area to search within. Search should be done similarly to motion data.

## ◆ deviceIds

std::vector<std::string> nx::sdk::cloud_storage::AnalyticsFilter::deviceIds

If empty, any device is a match.

## ◆ objectTrackId

std::optional<std::string> nx::sdk::cloud_storage::AnalyticsFilter::objectTrackId

If empty, any objectTrackId is a match.

## ◆ objectTypeIds

std::vector<std::string> nx::sdk::cloud_storage::AnalyticsFilter::objectTypeIds

See ObjectTrack.objectTypeId for the explanation. If empty, any objectTrack.objectTypeId is a match.

## ◆ order

SortOrder nx::sdk::cloud_storage::AnalyticsFilter::order = SortOrder::descending

Found tracks are sorted by the minimum track time using this order.

## ◆ timePeriod

TimePeriod nx::sdk::cloud_storage::AnalyticsFilter::timePeriod

If not null, only Object Tracks with firstAppearanceTimestamp within this period should match.

The documentation for this struct was generated from the following files:

- src/nx/sdk/cloud_storage/helpers/data.h
- src/nx/sdk/cloud_storage/helpers/data.cpp